# https://github.com/sphinx-doc/sphinx/archive/v1.7.2.tar.gz
%define module sphinx
%global enable_doc 1

Name:           python-%{module}
Version:        1.7.2
Release:        %mkrel 1
Summary:        Python documentation generator

License:        BSD
Group:          Development/Python
Url:            http://sphinx.pocoo.org/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch

%if %enable_doc
BuildRequires:  python-sphinx
BuildRequires:  python3-sphinx
%endif
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  python-imagesize
BuildRequires:  python-jinja2
BuildRequires:  python-pygments
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-sphinxcontrib-websupport
BuildRequires:  python-sqlalchemy
BuildRequires:  python-typing
BuildRequires:  python-whoosh
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-imagesize
BuildRequires:  python3-jinja2
BuildRequires:  python3-pygments
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinxcontrib-websupport
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-whoosh
Requires:       python-babel
Requires:       python-docutils
Requires:       python-imagesize
Requires:       python-jinja2
Requires:       python-pygments
Requires:       python-pkg-resources
Requires:       python-requests
Requires:       python-setuptools
Requires:       python-six
Requires:       python-snowballstemmer
Requires:       python-sphinx-alabaster-theme
Requires:       python-sphinxcontrib-websupport
Requires:       python-sphinx_rtd_theme
Requires:       python-sqlalchemy
Requires:       python-typing
Requires:       python-whoosh

%description
%{summary}.

%package -n python3-%{module}
Summary:        Python documentation generator
Group:          Development/Python
Requires:       python3-babel
Requires:       python3-docutils
Requires:       python3-imagesize
Requires:       python3-jinja2
Requires:       python3-pygments
Requires:       python3-requests
Requires:       python3-setuptools
Requires:       python3-six
Requires:       python3-snowballstemmer
Requires:       python3-sphinx-alabaster-theme
Requires:       python3-sphinxcontrib-websupport
Requires:       python3-sphinx_rtd_theme
Requires:       python3-sqlalchemy
Requires:       python3-whoosh

%description -n python3-sphinx
%{summary}.

%if %enable_doc
%package doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        BSD
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.
%endif

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}
find %{py3dir} -iname \*.py -exec sed -i '/^#!/s/python$/python3/g' {} \;

%build
%py2_build
pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
for f in %{buildroot}%{_bindir}/sphinx-*;
do
  mv $f $f-%{python3_version}
  ln -s $f-%{python3_version} $f-%{python3_version}-3
done
popd

%py2_install
for f in %{buildroot}%{_bindir}/sphinx-{apidoc,autogen,build,quickstart};
do
  ln -s $f $f-%{python2_version}
  ln -s $f $f-%{python2_version}-2
done


# Remove language files, they're identical to the ones from the
# Python 2 build that will be moved to /usr/share below
find %{buildroot}%{python3_sitelib}/sphinx/locale -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -exec rm -rf '{}' \;

# Move language files to /usr/share;
# patch to support this incorporated in 0.6.6
pushd %{buildroot}%{python_sitelib}

for lang in `find sphinx/locale -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  install -d %{buildroot}%{_datadir}/sphinx/locale/$lang
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinx/locale/$lang/LC_MESSAGES/sphinx.js \
     %{buildroot}%{_datadir}/sphinx/locale/$lang/
  mv sphinx/locale/$lang/LC_MESSAGES/sphinx.mo \
    %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
  rm -rf sphinx/locale/$lang
done
popd
%find_lang sphinx

# Language files; Since these are javascript, it's not immediately obvious to
# find_lang that they need to be marked with a language.
(cd %{buildroot} && find . -name 'sphinx.js') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.js$\):%lang(\2) \1\2\3:' \
  >> sphinx.lang

%files -f sphinx.lang
%doc AUTHORS CHANGES EXAMPLES LICENSE
%exclude %{_bindir}/sphinx-*-%{python3_version}
%{_bindir}/sphinx-apidoc
%{_bindir}/sphinx-autogen
%{_bindir}/sphinx-build
%{_bindir}/sphinx-quickstart
%{_bindir}/sphinx-*-%{python2_version}*
%{python_sitelib}/*
%dir %{_datadir}/sphinx/
%dir %{_datadir}/sphinx/locale
%dir %{_datadir}/sphinx/locale/*


%files -n python3-sphinx
%doc AUTHORS CHANGES EXAMPLES LICENSE
%{_bindir}/sphinx-*-%{python3_version}*
%{python3_sitelib}/*
%dir %{_datadir}/sphinx/
%dir %{_datadir}/sphinx/locale
%dir %{_datadir}/sphinx/locale/*


%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 1.7.2-1uplos2018
- update
